import { SmzTreeNode } from './tree-node';
import { SmzTreeState } from './tree-state';
export declare class SmzNodeHelper {
    private state;
    private nodes;
    private keyProperty;
    private selectedKeys;
    private primeSelection;
    constructor(state: SmzTreeState, nodes: SmzTreeNode[]);
    setDefaultKeyProperty(property: string): SmzNodeHelper;
    select(selectedKeys: string[]): SmzTreeNode[];
    private selectNodes;
    private partialCheckNodes;
}
export declare function resolveTreeNodeSelection(nodes: SmzTreeNode[], selectedKeys: string[], expandNodes: boolean): SmzTreeNode[];
